> ## Documentation Index
> Fetch the complete documentation index at: https://api-documentation.kare-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Conversations

> API changes for the Conversations module.

<Update label="2026-09-07">
  **3 API change(s) - ⚠️ includes 3 breaking change(s)**

  **`GET /rs/conversations/v1/`**

  * for the `query` request parameter `whereContactIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereInterventionIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
</Update>

<Update label="2026-08-26 (#673)">
  **2 API change(s)**

  **`GET /rs/conversations/v1/`**

  * added the new optional `query` request parameter `countOnly`

  **`GET /rs/conversations/v1/{id}/messages`**

  * added the new optional `query` request parameter `countOnly`
</Update>

<Update label="2026-08-26">
  **6 API change(s) - ⚠️ includes 1 breaking change(s)**

  **`GET /rs/conversations/v1/{id}/messages`**

  * for the `query` request parameter `extend`, the type/format of property `items/` was changed from `/` to `string`/\`\`
  * added the enum value `created-by` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `files` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/createdBy` to the response with the `200` status
  * added the optional property `data/items/files` to the response with the `200` status

  **`GET /rs/conversations/v1/`**

  * added the new optional `query` request parameter `whereSearch`
</Update>

<Update label="2026-08-05">
  **7 API change(s)**

  **`GET /rs/conversations/v1/`**

  * endpoint added

  **`POST /rs/conversations/v1/`**

  * endpoint added

  **`GET /rs/conversations/v1/{id}`**

  * endpoint added

  **`POST /rs/conversations/v1/{id}/close`**

  * endpoint added

  **`GET /rs/conversations/v1/{id}/messages`**

  * endpoint added

  **`POST /rs/conversations/v1/{id}/messages`**

  * endpoint added

  **`POST /rs/conversations/v1/{id}/reopen`**

  * endpoint added
</Update>
